## ksirk 25.08.1

=== ksirkskineditor/CMakeLists.txt ===
# add_subdirectory( skins )

add_executable(ksirkskineditor)

target_sources(ksirkskineditor PRIVATE
    main.cpp
    mainwindow.cpp
    ksirkSkinEditorConfigDialog.cpp
    ksirkskineditorscene.cpp
    ksirkskineditorpixmapitem.cpp
    ksirkskineditortextitem.cpp
    ksirkcountrydefinition.cpp
    onu.cpp
    continent.cpp
    country.cpp
    nationality.cpp
    skinSpritesData.cpp
    goal.cpp

    ksirkskineditor.qrc
)

ecm_qt_declare_logging_category(ksirkskineditor
    HEADER ksirkskineditor_debug.h
    IDENTIFIER KSIRKSKINEDITOR_LOG
    CATEGORY_NAME ksirk.skineditor
    OLD_CATEGORY_NAMES org.kde.ksirk.skineditor
    DESCRIPTION "KsirK game (skineditor)"
    EXPORT KSIRK
)

ki18n_wrap_ui(ksirkskineditor
#   ksirkskineditor.ui
    preferences.ui
    ksirkskineditorwidget.ui
    ksirkskindefinition.ui
    ksirkcountrydefinition.ui
    ksirkcontinentdefinition.ui
    ksirkgoaldefinition.ui
    ksirknationalitydefinition.ui
    ksirkspritesdefinition.ui
    ksirkskineditorcountriesselectiondialog.ui
)

kconfig_add_kcfg_files( ksirkskineditor ksirkskineditorsettings.kcfgc )

target_link_libraries(ksirkskineditor
    KDEGames6
    KDEGames6Private
    KF6::Crash
    KF6::I18n
    KF6::Completion
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::XmlGui
    Qt6::Xml
    Qt6::Svg
    Qt6::Core5Compat
    Qt6::SvgWidgets
 )

install( TARGETS ksirkskineditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES ksirkskineditorsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR} )
install( PROGRAMS org.kde.ksirkskineditor.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

install( FILES
    cross.png
    target.png

    DESTINATION ${KDE_INSTALL_DATADIR}/ksirkskineditor
)

=== ksirk/skins/default/Images/CMakeLists.txt ===
install(FILES
    2DownArrow.png
    2UpArrow.png
    arena.svg
    attackAuto.png
    attackOne.png
    attackThree.png
    attackTwo.png
    cancel.png
    defendOne.png
    defendTwo.png
    downArrow.png
    loader.gif
    logoLeft.png
    logoRight.png
    map-mask.png
    moveArmies.png
    moveBackFive.png
    moveBackOne.png
    moveBackTen.png
    moveFinish.png
    moveFive.png
    moveOne.png
    moveTen.png
    newNetGame.png
    nextPlayer.png
    pool.svg
    recyclingFinished.png
    recycling.png
    snapshot.jpg
    soldierKneeling.png
    stopAttackAuto.png
    upArrow.png

    DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/default/Images
)

=== debian/changelog ===
ksirk (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:11:28 +0100

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.08.1~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libqca-qt6-dev,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKDE_INSTALL_BINDIR=/usr/games

execute_after_dh_auto_install:
	# do not ship development stuff
	find debian/ksirk -name '*.so' -type l -delete
	find debian/ksirk -name '*.a' -delete

## ksirk 25.08.1+p24.04+vstable+git20250930.0540

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(ksirk VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")
set(KDE_QT_MODERNCODE_DEFINITIONS_LEVEL "5.84")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core5Compat
    Multimedia
    Svg
    SvgWidgets
    Widgets
    Test
)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    NewStuff
    WidgetsAddons
    XmlGui
)

find_package(KDEGames6 6.0.0 REQUIRED)

kde_enable_exceptions()

add_definitions(
    -DQT_USE_STRINGBUILDER
    -DQT_NO_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.15.0
    KDEGAMES 6.0
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KSIRK
    VERSION_HEADER ksirk_version.h
)

add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

ecm_qt_install_logging_categories(
    EXPORT KSIRK
    FILE ksirk.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksirk (4:25.08.1+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:47 +0000

ksirk (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:50:35 +0000

ksirk (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:08:30 +0000

ksirk (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:44:47 +0000

ksirk (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:50:00 +0000

ksirk (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:34:48 +0000

ksirk (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:46:16 +0000

ksirk (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:12:41 +0000

ksirk (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:49:45 +0000

ksirk (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:40:23 +0000

ksirk (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:36:35 +0000

ksirk (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:50:55 +0000

ksirk (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:23:08 +0000

ksirk (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:54:41 +0000

ksirk (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:50:40 +0000

ksirk (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:28:14 +0000

ksirk (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:37:16 +0000

ksirk (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:27:49 +0000

ksirk (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:07:28 +0000

ksirk (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 07:54:19 +0000

ksirk (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:41:25 +0000

ksirk (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:29:19 +0000

ksirk (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:12:38 +0000

ksirk (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:08:04 +0000

ksirk (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:46:59 +0000

ksirk (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:09:41 +0000

ksirk (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:35:54 +0000

ksirk (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:12:03 +0000

ksirk (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:48:57 +0000

ksirk (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:55:22 +0000

ksirk (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:16:23 +0000

ksirk (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:12:37 +0000

ksirk (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:17:32 +0000

ksirk (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:02:46 +0000

ksirk (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:27:43 +0000

ksirk (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:27:58 +0000

ksirk (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:32:47 +0000

ksirk (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:53 +0000

ksirk (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:04:54 +0000

ksirk (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:10:05 +0000

ksirk (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:33:53 +0000

ksirk (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:08 +0000

ksirk (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:45:06 +0000

ksirk (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:59:18 +0000

ksirk (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:27:58 +0000

ksirk (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:32 +0000

ksirk (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:26:26 +0000

ksirk (4:20.12.3-0neon) focal; urgency=medium

  * New release



=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/ksirk -name '*.so' -type l -delete
	find debian/ksirk -name '*.a' -delete

## ksirk 25.08.1+p24.04+vstable+git20251001.0749

=== debian/changelog ===
ksirk (4:25.08.1+p24.04+vstable+git20251001.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 07:49:37 +0000

## ksirk 25.08.2

=== ksirk/icons/hicolor/CMakeLists.txt ===
ecm_install_icons( ICONS
    128-apps-ksirk.png
    64-apps-ksirk.png
    48-apps-ksirk.png
    32-apps-ksirk.png
    22-apps-ksirk.png
    16-apps-ksirk.png
    sc-apps-ksirk.svgz

    DESTINATION  ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
ksirk (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.1~),
+               libkdegames6-dev (>= 4:25.08.2~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.08.2+p24.04+vstable+git20251015.1625

=== debian/changelog ===
ksirk (4:25.08.2+p24.04+vstable+git20251015.1625-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:25:24 +0000

ksirk (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:35:56 +0000

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libkdegames6-dev,
               libqca-qt6-2-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/ksirk.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksirk
Maintainer: Neon CI <neon@kde.org>

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 25.08.2+p24.04+vstable+git20251019.0520

=== debian/changelog ===
ksirk (4:25.08.2+p24.04+vstable+git20251019.0520-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:20:29 +0000

## ksirk 25.08.2+p24.04+vstable+git20251031.1055

=== debian/changelog ===
ksirk (4:25.08.2+p24.04+vstable+git20251031.1055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:55:52 +0000

## ksirk 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})

=== ksirk/icons/CMakeLists.txt ===
add_subdirectory( hicolor )

=== ksirk/skins/realpol/Images/CMakeLists.txt ===
add_subdirectory( sprites ) 

install(FILES
    SoldatAGenoux1.png
    map-mask.png
    reddice1.svg
    reddice2.svg
    reddice3.svg
    reddice4.svg
    reddice5.svg
    reddice6.svg
    bluedice1.svg
    bluedice2.svg
    bluedice3.svg
    bluedice4.svg
    bluedice5.svg
    bluedice6.svg
    snapshot.jpg
    moveFinish.svg
    joueurSuivant.svg
    moveBackFive.svg
    moveFive.svg
    newNetGame.svg
    moveArmies.svg
    saveGame.svg
    attackTwo.svg
    aide.svg
    map.svg
    moveOne.svg
    preferences.svg
    attackOne.svg
    annuler.svg
    quitter.svg
    moveBackTen.svg
    ouvrirJeu.svg
    logoRight.svg
    distributionArmeesFinie.svg
    distributionArmees.svg
    logoLeft.svg
    defendTwo.svg
    attackThree.svg
    defendOne.svg
    nouveauJeu.svg
    moveTen.svg
    moveBackOne.svg

    reddice1.png
    reddice2.png
    reddice3.png
    reddice4.png
    reddice5.png
    reddice6.png
    bluedice1.png
    bluedice2.png
    bluedice3.png
    bluedice4.png
    bluedice5.png
    bluedice6.png
    snapshot.jpg
    moveFinish.png
    joueurSuivant.png
    moveBackFive.png
    moveFive.png
    newNetGame.png
    moveArmies.png
    saveGame.png
    attackTwo.png
    aide.png
    map.svg
    moveOne.png
    preferences.png
    attackOne.png
    annuler.png
    map-mask.png
    quitter.png
    moveBackTen.png
    ouvrirJeu.png
    logoRight.png
    distributionArmeesFinie.png
    distributionArmees.png
    logoLeft.png
    defendTwo.png
    attackThree.png
    defendOne.png
    nouveauJeu.png
    moveTen.png
    moveBackOne.png

    arena.svg
    attackAuto.png
    stopAttackAuto.png
    downArrow.png
    2DownArrow.png
    upArrow.png
    2UpArrow.png

    DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/realpol/Images
)

# Images/countries/vietnam.png
# Images/countries/japan.png
# Images/countries/westus.png
# Images/countries/middleeast.png
# Images/countries/ontario.png
# Images/countries/brazil.png
# Images/countries/mongolia.png
# Images/countries/algeria.png
# Images/countries/zair.png
# Images/countries/eastus.png
# Images/countries/france.png
# Images/countries/egypt.png
# Images/countries/prussia.png
# Images/countries/iran.png
# Images/countries/alaska.png
# Images/countries/kazakstan.png
# Images/countries/arabia.png
# Images/countries/chile.png
# Images/countries/scandinavia.png
# Images/countries/china.png
# Images/countries/island.png
# Images/countries/benelux.png
# Images/countries/quebec.png
# Images/countries/alberta.png
# Images/countries/papouasia.png
# Images/countries/gabon.png
# Images/countries/pakistan.png
# Images/countries/groenland.png
# Images/countries/india.png
# Images/countries/newzealand.png
# Images/countries/westernaustralia.png
# Images/countries/mexico.png
# Images/countries/uk.png
# Images/countries/russia.png
# Images/countries/paraguay.png
# Images/countries/siberia.png
# Images/countries/newsouthwalles.png
# Images/countries/niger.png
# Images/countries/madagascar.png
# Images/countries/columbia.png
# Images/countries/indonesia.png
# Images/countries/southafrica.png

=== ksirk/skins/realpol/Images/sprites/CMakeLists.txt ===
install(FILES
    belgium.svg
    cannon.svg
    cavalry.svg
    exploding.svg
    firing.svg
    france.svg
    infantry.svg
    italy.svg
    japan.svg
    infantry1.svg
    infantry2.svg
    infantry3.svg
    uk.svg
    us.svg

    DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/realpol/Images/sprites
)

=== ksirk/skins/legacy/Images/work/sprites/CMakeLists.txt ===
install(FILES
    belgium.svg
    cannon.svg
    cavalry.svg
    exploding.svg
    firing.svg
    france.svg
    infantry.svg
    infantry1.svg
    infantry2.svg
    infantry3.svg
    italy.svg
    japan.svg
    uk.svg
    us.svg

    DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/default/Images/sprites
)

=== debian/changelog ===
ksirk (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:27:09 +0000

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.08.3~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libqca-qt6-dev,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 25.08.3+p24.04+vunstable+git20251123.1317

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})
@@ -59,8 +59,8 @@
 )
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.15.0
+    QT 6.10.0
+    KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
ksirk (4:25.08.3+p24.04+vunstable+git20251123.1317-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 13:17:56 +0000

ksirk (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:30 +1000

## ksirk 25.08.3+p24.04+vunstable+git20251204.0554

=== debian/changelog ===
ksirk (4:25.08.3+p24.04+vunstable+git20251204.0554-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:54:11 +0000

## ksirk 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})
@@ -59,7 +59,7 @@
 )
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.9.0
     KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
ksirk (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:00:20 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.3~),
+               libkdegames6-dev (>= 4:25.11.80~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksirk (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:12:18 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksirk (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:30:50 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.90~),
+               libkdegames6-dev (>= 4:25.12.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.12.0+p24.04+vstable+git20251210.0149

=== debian/changelog ===
ksirk (4:25.12.0+p24.04+vstable+git20251210.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 01:49:45 +0000

ksirk (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:27 +1000

## ksirk 25.12.1

=== debian/changelog ===
ksirk (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:26:09 +0000

ksirk (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:12:42 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.0~),
+               libkdegames6-dev (>= 4:25.12.1~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.12.1+p24.04+vstable+git20260128.0805

=== debian/changelog ===
ksirk (4:25.12.1+p24.04+vstable+git20260128.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 08:05:12 +0000

ksirk (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:40 +1000

## ksirk 25.12.1+p24.04+vstable+git20260131.0355

=== debian/changelog ===
ksirk (4:25.12.1+p24.04+vstable+git20260131.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:55:42 +0000

## ksirk 25.12.1+p24.04+vunstable+git20260131.0102

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})
@@ -59,8 +59,8 @@
 )
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.19.0
+    QT 6.10.0
+    KF 6.21.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
ksirk (4:25.12.1+p24.04+vunstable+git20260131.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:02:10 +0000

## ksirk 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})
@@ -59,8 +59,8 @@
 )
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.21.0
+    QT 6.9.0
+    KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
ksirk (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:28:17 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.1~),
+               libkdegames6-dev (>= 4:25.12.2~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## ksirk 25.12.2+p24.04+vunstable+git20260206.2355

=== debian/changelog ===
ksirk (4:25.12.2+p24.04+vunstable+git20260206.2355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 23:55:22 +0000

ksirk (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:12:18 +0000
